FAXLOCK(8C)

NAME
faxlock - tell a HylaFAX server to switch to LOCKWAIT state

SYNOPSIS
/usr/local/sbin/faxlock [ -q dir ] modem

DESCRIPTION
faxlock sends a message to a HylaFAX faxgetty(8C) process servicing modem telling it to change its state to LOCKWAIT

The specified modem can either be the name (typically the last component of the terminal port the modem is attached to), or the full name of the associated FIFO named pipe file, e.g. ``FIFO.ttym2''.

OPTIONS

-q dir
    Use a spooling area other than /var/spool/hylafax.

NOTES
When faxgetty changes it's state to LOCKWAIT, it will start looking for the UUCP lockfile for the device, and when the device is no longer locked, proceed to re-initialize the modem.

FILES
/var/spool/hylafax	default spooling area
/var/spool/hylafax/FIFO	fifo for contacting faxq

Consult hylafax-server(5F) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(5F), faxq(8C), faxgetty(8C)